Package ru.bitel.bgbilling.kernel.contract.autopayment.common.bean

# Class Autopayment

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.contract.autopayment.common.bean.Autopayment

All Implemented Interfaces:
  `Serializable`, `Idable`

public class Autopayment extends Id

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Autopayment.Builder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Autopayment()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Autopayment.Builder`
  `builder()`
  `String`
  `getAccessToken()`
  `int`
  `getContractId()`
  `String`
  `getData()`
  `AutopaymentMode`
  `getMode()`
  `String`
  `getModeData()`
  `PeriodWithTime`
  `getPeriod()`
  `BigDecimal`
  `getSum()`
  `void`
  `setAccessToken(String accessToken)`
  `Autopayment`
  `setContractId(int contractId)`
  `void`
  `setData(String data)`
  `Autopayment`
  `setMode(AutopaymentMode mode)`
  `Autopayment`
  `setModeData(String modeData)`
  `Autopayment`
  `setPeriod(PeriodWithTime period)`
  `Autopayment`
  `setSum(BigDecimal sum)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Autopayment

    public Autopayment()

- ## Method Details

  - ### getAccessToken

    public String getAccessToken()

  - ### getContractId

    public int getContractId()

  - ### getData

    public String getData()

  - ### getMode

    public AutopaymentMode getMode()

  - ### getModeData

    public String getModeData()

  - ### getPeriod

    public PeriodWithTime getPeriod()

  - ### getSum

    public BigDecimal getSum()

  - ### setAccessToken

    public void setAccessToken(String accessToken)

  - ### setContractId

    public Autopayment setContractId(int contractId)

  - ### setData

    public void setData(String data)

  - ### setMode

    public Autopayment setMode(AutopaymentMode mode)

  - ### setModeData

    public Autopayment setModeData(String modeData)

  - ### setPeriod

    public Autopayment setPeriod(PeriodWithTime period)

  - ### setSum

    public Autopayment setSum(BigDecimal sum)

  - ### builder

    public static Autopayment.Builder builder()